* Murdie and Peksen, 2014. Replication Do File for "The Impact of Human Rights INGO Shaming on Humanitarian Interventions" 

* Table I 
* Model I 
relogit humonset2 humanrightsNGO2govnoposmgold2 lagPTStarget lnreportcount laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears lamerica ssafrica eeurop nafrme if western==0, cluster(ccode)
* Model II
relogit humonset2 humanrightsNGO2govnoposmgold2 lagPTStarget lagmediacover laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears lamerica ssafrica eeurop nafrme if western==0, cluster(ccode)
* Model III
relogit humonset2 murdieshamingNGOtogov2 lagPTStarget lnreportcount laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears lamerica ssafrica eeurop nafrme if western==0, cluster(ccode)
* Model IV 
relogit humonset2 murdieshamingNGOtogov2 lagPTStarget lagmediacover laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears lamerica ssafrica eeurop nafrme if western==0, cluster(ccode)

*Table II
* Model I 
cmp setup
cmp(shamingcountDV = lagPTStarget lnreportcount hrfilled lagpolity2 lagpoplog lagtradelog lagincidence lamerica ssafrica eeurop nafrme) (humonset2 = humanrightsNGO2govnoposmgold2 lagPTStarget lnreportcount laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears lamerica ssafrica eeurop nafrme) if western==0, nolr ind( $cmp_cont $cmp_probit)  cluster(ccode)
* Model II 
cmp (shamingcountDV = lagPTStarget lnreportcount hrfilled lagpolity2 lagpoplog lagtradelog lagincidence lamerica ssafrica eeurop nafrme) (humonset2 = humanrightsNGO2govnoposmgold2 lagPTStarget lagmediacover laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears lamerica ssafrica eeurop nafrme) if western==0 & year<2002, nolr ind( $cmp_cont $cmp_probit)  cluster(ccode)
* Model III
cmp(shamingintensDV = lagPTStarget lnreportcount hrfilled lagpolity2 lagpoplog lagtradelog lagincidence lamerica ssafrica eeurop nafrme) (humonset2 = murdieshamingNGOtogov2 lagPTStarget lnreportcount laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears lamerica ssafrica eeurop nafrme) if western==0, nolr ind($cmp_cont $cmp_probit)  cluster(ccode)
* Model IV
cmp(shamingintensDV = lagPTStarget lnreportcount hrfilled lagpolity2 lagpoplog lagtradelog lagincidence lamerica ssafrica eeurop nafrme) (humonset2 = murdieshamingNGOtogov2 lagPTStarget lagmediacover laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears lamerica ssafrica eeurop nafrme) if western==0 & year<2002, nolr ind($cmp_cont $cmp_probit)  cluster(ccode)


**** Additional Data Analysis / Robustness Checks ******
*RELOGITS
* IGO Intvs Only
relogit IOhumonset humanrightsNGO2govnoposmgold2 lagPTStarget lnreportcount laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears lamerica ssafrica eeurop if western==0, cluster(ccode)
relogit IOhumonset humanrightsNGO2govnoposmgold2 lagPTStarget lagmediacover laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears lamerica ssafrica eeurop if western==0, cluster(ccode)

relogit IOhumonset murdieshamingNGOtogov2 lagPTStarget lnreportcount laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears lamerica ssafrica eeurop if western==0, cluster(ccode)
relogit IOhumonset murdieshamingNGOtogov2 lagPTStarget lagmediacover laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears lamerica ssafrica eeurop if western==0, cluster(ccode)

* Non-IGO Intvs Only
relogit nonIOhumonset humanrightsNGO2govnoposmgold2 lagPTStarget lnreportcount laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears lamerica ssafrica eeurop nafrme if western==0, cluster(ccode)
relogit nonIOhumonset humanrightsNGO2govnoposmgold2 lagPTStarget lagmediacover laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears  lamerica ssafrica eeurop nafrme if western==0, cluster(ccode)

relogit nonIOhumonset murdieshamingNGOtogov2 lagPTStarget lnreportcount laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears lamerica ssafrica eeurop nafrme if western==0, cluster(ccode)
relogit nonIOhumonset murdieshamingNGOtogov2 lagPTStarget lagmediacover laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears lamerica ssafrica eeurop nafrme if western==0, cluster(ccode)


* CMP Models
* IGO Intvs Only
cmp(shamingcountDV = lagPTStarget lnreportcount hrfilled lagpolity2 lagpoplog lagtradelog lagincidence lamerica ssafrica eeurop nafrme) (IOhumonset = humanrightsNGO2govnoposmgold2 lagPTStarget lnreportcount laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears lamerica ssafrica eeurop nafrme) if western==0, nolr ind( $cmp_cont $cmp_probit)  cluster(ccode)
cmp (shamingcountDV = lagPTStarget lnreportcount hrfilled lagpolity2 lagpoplog lagtradelog lagincidence lamerica ssafrica eeurop nafrme) (IOhumonset = humanrightsNGO2govnoposmgold2 lagPTStarget lagmediacover laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears lamerica ssafrica eeurop nafrme) if western==0 & year<2002, nolr ind( $cmp_cont $cmp_probit)  cluster(ccode)

cmp(shamingintensDV = lagPTStarget lnreportcount hrfilled lagpolity2 lagpoplog lagtradelog lagincidence lamerica ssafrica eeurop nafrme) (IOhumonset = murdieshamingNGOtogov2 lagPTStarget lnreportcount laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears lamerica ssafrica eeurop nafrme) if western==0, nolr ind($cmp_cont $cmp_probit)  cluster(ccode)
cmp(shamingintensDV = lagPTStarget lnreportcount hrfilled lagpolity2 lagpoplog lagtradelog lagincidence lamerica ssafrica eeurop nafrme) (IOhumonset = murdieshamingNGOtogov2 lagPTStarget lagmediacover laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears lamerica ssafrica eeurop nafrme) if western==0 & year<2002, nolr ind($cmp_cont $cmp_probit)  cluster(ccode)

* Non-IGO Intvs Only 
cmp(shamingcountDV = lagPTStarget lnreportcount hrfilled lagpolity2 lagpoplog lagtradelog lagincidence lamerica ssafrica eeurop nafrme) (nonIOhumonset = humanrightsNGO2govnoposmgold2 lagPTStarget lnreportcount laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears lamerica ssafrica eeurop nafrme) if western==0, nolr ind( $cmp_cont $cmp_probit)  cluster(ccode)
cmp (shamingcountDV = lagPTStarget lnreportcount hrfilled lagpolity2 lagpoplog lagtradelog lagincidence lamerica ssafrica eeurop nafrme) (nonIOhumonset = humanrightsNGO2govnoposmgold2 lagPTStarget lagmediacover laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears lamerica ssafrica eeurop nafrme) if western==0 & year<2002, nolr ind( $cmp_cont $cmp_probit)  cluster(ccode)

cmp(shamingintensDV = lagPTStarget lnreportcount hrfilled lagpolity2 lagpoplog lagtradelog lagincidence lamerica ssafrica eeurop nafrme) (nonIOhumonset = murdieshamingNGOtogov2 lagPTStarget lnreportcount laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears lamerica ssafrica eeurop nafrme) if western==0, nolr ind($cmp_cont $cmp_probit)  cluster(ccode)
cmp(shamingintensDV = lagPTStarget lnreportcount hrfilled lagpolity2 lagpoplog lagtradelog lagincidence lamerica ssafrica eeurop nafrme) (nonIOhumonset = murdieshamingNGOtogov2 lagPTStarget lagmediacover laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears lamerica ssafrica eeurop nafrme) if western==0 & year<2002, nolr ind($cmp_cont $cmp_probit)  cluster(ccode)


* XTGEE Count Models
* ALL Hum Intvs Shaming count- XTGEE models
* Model I full model without mediacoverage variable
xtgee humonset2 humanrightsNGO2govnoposmgold2 lagPTStarget lnreportcount laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears lamerica ssafrica eeurop nafrme if western==0, family(bi) link(logit) robust 
xtgee humonset2 humanrightsNGO2govnoposmgold2 lagPTStarget lagmediacover laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears lamerica ssafrica eeurop nafrme if western==0, family(bi) link(logit) robust 

* IGO Intvs
xtgee IOhumonset humanrightsNGO2govnoposmgold2 lagPTStarget lnreportcount laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears lamerica ssafrica eeurop if western==0, family(bi) link(probit) robust  nolog
xtgee IOhumonset humanrightsNGO2govnoposmgold2 lagPTStarget lagmediacover laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears lamerica ssafrica eeurop if western==0, family(bi) link(probit) robust nolog

* Non-IGO Intvs
xtgee nonIOhumonset humanrightsNGO2govnoposmgold2 lagPTStarget lnreportcount laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears lamerica ssafrica eeurop nafrme if western==0, family(bi) link(logit) robust nolog
xtgee nonIOhumonset humanrightsNGO2govnoposmgold2 lagPTStarget lagmediacover laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears lamerica ssafrica eeurop nafrme if western==0, family(bi) link(logit) robust nolog


* XTGEE Intensity Models
* All Hum Intv Shaming intensity- XTGEE models
xtgee humonset2 murdieshamingNGOtogov2 lagPTStarget lnreportcount laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears lamerica ssafrica eeurop nafrme if western==0, family(bi) link(logit) robust 
xtgee humonset2 murdieshamingNGOtogov2 lagPTStarget lagmediacover laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears lamerica ssafrica eeurop nafrme if western==0, family(bi) link(logit) robust 

* IGO-led Intvs
xtgee IOhumonset murdieshamingNGOtogov2 lagPTStarget lnreportcount laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears lamerica ssafrica eeurop if western==0, family(bi) link(logit) robust nolog
xtgee IOhumonset murdieshamingNGOtogov2 lagPTStarget lagmediacover laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears lamerica ssafrica eeurop if western==0, family(bi) link(logit) robust nolog

* Non-IGO Intvs
xtgee nonIOhumonset murdieshamingNGOtogov2 lagPTStarget lnreportcount laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears lamerica ssafrica eeurop nafrme if western==0, family(bi) link(logit) robust nolog
xtgee nonIOhumonset murdieshamingNGOtogov2 lagPTStarget lagmediacover laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears lamerica ssafrica eeurop nafrme if western==0, family(bi) link(logit) robust nolog


* H Rights Shaming * Human Rights Interaction Models
relogit humonset2 humanrightsNGO2govnoposmgold2 lagPTStarget lagshamcounthrights lnreportcount laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears lamerica ssafrica eeurop nafrme if western==0, cluster(ccode)
relogit humonset2 murdieshamingNGOtogov2 lagPTStarget lagshamintensityhrights lnreportcount laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears lamerica ssafrica eeurop nafrme if western==0, cluster(ccode)


* H Rights Shaming * Sanctions Interaction Term
relogit humonset2 humanrightsNGO2govnoposmgold2 laghumsanction lagsanctionshamcount  lagPTStarget lagmediacover laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil laggenocidepresence humonsetyears lamerica ssafrica eeurop nafrme if western==0, cluster(ccode)
relogit humonset2 murdieshamingNGOtogov2 laghumsanction lagsanctionshamintens lagPTStarget lagmediacover laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil laggenocidepresence humonsetyears lamerica ssafrica eeurop nafrme if western==0, cluster(ccode)

** GDP Per Capita as a control instead of State Capacity Variable * All Intvs -- Shaming count- RELOGIT models
* Shaming Count
relogit humonset2 humanrightsNGO2govnoposmgold2 lagPTStarget lnreportcount laggdplog lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears lamerica ssafrica eeurop nafrme if western==0, cluster(ccode)
relogit humonset2 humanrightsNGO2govnoposmgold2 lagPTStarget lagmediacover laggdplog lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears lamerica ssafrica eeurop if western==0, cluster(ccode)

* Shaming Intensity Models
relogit humonset2 murdieshamingNGOtogov2 lagPTStarget lnreportcount laggdplog lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears lamerica ssafrica eeurop nafrme if western==0, cluster(ccode)
relogit humonset2 murdieshamingNGOtogov2 lagPTStarget lagmediacover laggdplog lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears lamerica ssafrica eeurop if western==0, cluster(ccode)

*** Change in PTS not level - "common shocks"
* Shaming count- RELOGIT models
relogit humonset2 humanrightsNGO2govnoposmgold2 DlagPTStarget lnreportcount laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil humonsetyears if western==0, cluster(ccode)
relogit humonset2 humanrightsNGO2govnoposmgold2 DlagPTStarget lagmediacover laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil humonsetyears  if western==0, cluster(ccode)

* Shaming count- XTGEE models
xtgee humonset2 humanrightsNGO2govnoposmgold2 DlagPTStarget lnreportcount laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil humonsetyears if western==0, family(bi) link(logit) robust 
xtgee humonset2 humanrightsNGO2govnoposmgold2 DlagPTStarget lagmediacover laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil humonsetyears if western==0, family(bi) link(logit) robust 

* Shaming intensity - RELOGIT models
relogit humonset2 murdieshamingNGOtogov2 DlagPTStarget lnreportcount laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil humonsetyears if western==0, cluster(ccode)
relogit humonset2 murdieshamingNGOtogov2 DlagPTStarget lagmediacover laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil humonsetyears if western==0, cluster(ccode)

* Shaming intensity- XTGEE models
xtgee humonset2 murdieshamingNGOtogov2 DlagPTStarget lnreportcount laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil humonsetyears if western==0, family(bi) link(logit) robust 
xtgee humonset2 murdieshamingNGOtogov2 DlagPTStarget lagmediacover laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil humonsetyears if western==0, family(bi) link(logit) robust 

*Predicted Probabilities
*Predicted Probabilities for shaming count
relogit humonset2 humanrightsNGO2govnoposmgold2 lagPTStarget lnreportcount laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears lamerica ssafrica eeurop nafrme if western==0, cluster(ccode)
sum humonset2 humanrightsNGO2govnoposmgold2 lagPTStarget lnreportcount laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil humonsetyears if e(sample)

**/initial value humonset==1/
setx humanrightsNGO2govnoposmgold2 mean lagPTStarget mean lnreportcount mean laglncinc mean lagpolity2 mean  ethfrac mean ethfracsq mean lagincidence 0 lagoil 0 laghumsanction 0 laggenocidepresence 0 humonsetyears mean  lamerica 0 ssafrica 0 eeurop 0 nafrme 0
relogitq

**/ Shaming count 1st deviation above/
setx humanrightsNGO2govnoposmgold2 1.05 lagPTStarget mean lnreportcount mean laglncinc mean lagpolity2 mean  ethfrac mean ethfracsq mean lagincidence median lagoil 0 laghumsanction 0 laggenocidepresence 0 humonsetyears mean  lamerica 0 ssafrica 0 eeurop 0 nafrme 0 
relogitq

* humanrights - 1std deviation above
setx humanrightsNGO2govnoposmgold2 mean lagPTStarget 3.93 lnreportcount mean laglncinc mean lagpolity2 mean  ethfrac mean ethfracsq mean lagincidence 0 lagoil 0 laghumsanction 0 laggenocidepresence 0 humonsetyears mean  lamerica 0 ssafrica 0 eeurop 0 nafrme 0
relogitq

* media exposure - 1std above
setx humanrightsNGO2govnoposmgold2 mean lagPTStarget mean lnreportcount 7.89 laglncinc mean lagpolity2 mean  ethfrac mean ethfracsq mean lagincidence 0 lagoil 0 laghumsanction 0 laggenocidepresence 0 humonsetyears mean  lamerica 0 ssafrica 0 eeurop 0 nafrme 0
relogitq

* state capacity - 1std above
setx humanrightsNGO2govnoposmgold2 mean lagPTStarget mean lnreportcount mean laglncinc -5.21 lagpolity2 mean  ethfrac mean ethfracsq mean lagincidence 0 lagoil 0 laghumsanction 0 laggenocidepresence 0 humonsetyears mean  lamerica 0 ssafrica 0 eeurop 0 nafrme 0
relogitq

* ethf frac - 1 std above
setx humanrightsNGO2govnoposmgold2 mean lagPTStarget mean lnreportcount mean laglncinc mean lagpolity2 mean  ethfrac 0.72 ethfracsq mean lagincidence 0 lagoil 0 laghumsanction 0 laggenocidepresence 0 humonsetyears mean  lamerica 0 ssafrica 0 eeurop 0 nafrme 0
relogitq

* ethf frac sq - 1 std above
setx humanrightsNGO2govnoposmgold2 mean lagPTStarget mean lnreportcount mean laglncinc mean lagpolity2 mean  ethfrac mean ethfracsq 0.53 lagincidence 0 lagoil 0 laghumsanction 0 laggenocidepresence 0 humonsetyears mean  lamerica 0 ssafrica 0 eeurop 0 nafrme 0
relogitq


* past intervention - 1std above
setx humanrightsNGO2govnoposmgold2 mean lagPTStarget mean lnreportcount mean laglncinc mean lagpolity2 mean  ethfrac mean ethfracsq mean lagincidence 0 lagoil 0 humonsetyears 48.5 laghumsanction 0 laggenocidepresence 0  lamerica 0 ssafrica 0 eeurop 0 nafrme 0
relogitq


**** Predicted probabilitys for shaming intensity
relogit humonset2 murdieshamingNGOtogov2 lagPTStarget lnreportcount laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil laghumsanction laggenocidepresence humonsetyears lamerica ssafrica eeurop nafrme if western==0, cluster(ccode)

sum humonset2 murdieshamingNGOtogov2 lagPTStarget lnreportcount laglncinc lagpolity2  ethfrac ethfracsq lagincidence lagoil humonsetyears if e(sample)


**/initial value humonset==1/
setx murdieshamingNGOtogov2 mean lagPTStarget mean lnreportcount mean laglncinc mean lagpolity2 mean  ethfrac mean ethfracsq mean lagincidence 0 lagoil 0  laghumsanction 0 laggenocidepresence 0 humonsetyears mean  lamerica 0 ssafrica 0 eeurop 0 nafrme 0
relogitq

* Shaming intesity -- 1 std above
setx murdieshamingNGOtogov2 2.07 lagPTStarget mean lnreportcount mean laglncinc mean lagpolity2 mean  ethfrac mean ethfracsq mean lagincidence 0 lagoil 0 laghumsanction 0 laggenocidepresence 0 humonsetyears mean  lamerica 0 ssafrica 0 eeurop 0 nafrme 0 
relogitq

